%define upstream_name    Template-GD
%define upstream_version 2.66

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    GD plugin(s) for the Template Toolkit
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(Template)
buildArch:      noarch


%description
The Template-GD distribution provides a number of Template Toolkit plugin
modules to interface with Lincoln Stein's GD modules. These in turn provide an
interface to Thomas Boutell's GD graphics library.

These plugins were distributed as part of the Template Toolkit until version
2.15 released in February 2006. At this time they were extracted into this
separate distribution.

For general information on the Template Toolkit see the documentation for the
Template module or http://template-toolkit.org. For information on using
plugins, see Template::Plugins and "USE" in Template::Manual::Directives.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/Template
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.660.0-11.mga10
+ Revision: 2200753
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.660.0-10.mga9
+ Revision: 1805904
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.660.0-9.mga8
+ Revision: 1497268
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.660.0-8.mga7
+ Revision: 1271565
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.660.0-7.mga6
+ Revision: 1033864
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 2.660.0-6.mga6
+ Revision: 933126
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.660.0-5.mga5
+ Revision: 749374
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.660.0-4.mga5
+ Revision: 686335
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.660.0-3.mga4
+ Revision: 514968
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.660.0-2.mga3
+ Revision: 373122
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 2.660.0-1.mga1
+ Revision: 36561
- mageia rebuild
- imported package perl-Template-GD


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2.660.0-1mdv2010.0
+ Revision: 405530
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.66-4mdv2009.0
+ Revision: 258460
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.66-3mdv2009.0
+ Revision: 246500
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.66-1mdv2008.1
+ Revision: 140717
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.66-1mdv2007.0
+ Revision: 111253
- Import perl-Template-GD

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.66-1mdv2007.1
- first mdv release

